##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle 

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
INCLUDEMK = ../Makefile.conf.${OSTYPE}
include ${INCLUDEMK}

# @endcode 

# @code 

LIB   = libmrootformat.a

#
#  connect the include files defined in the config.mk file
#
INCLUDES = -I./ \
	   -I../mbase/

#
#  ----->>>   root libraries
#

ROOTLIBS   =  `root-config --libs`
ROOTGLIBS  =  `root-config --glibs`
ROOTCFLAGS =  `root-config --cflags`

#
#  compiler flags
#

CXXFLAGS  = $(ROOTCFLAGS) $(INCLUDES) $(OPTIM) $(DEBUG)
CFLAGS    = $(CXXFLAGS)
FFLAGS    = $(CXXFLAGS)

#------------------------------------------------------------------------------

#.SILENT:

.SUFFIXES: .c .cc .cxx .h .hxx .o 


SRCFILES = MRawPixel.cc \
	   MRawEvt.cc \
	   MPixPedest.cc \
	   MPedest.cc 

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

depend:
	@makedepend $(SRCS) $(INCLUDES) $(ROOTCFLAGS) \
        -fMakefile.depend 2> kk.kk ; cat kk.kk

$(LIB): $(OBJS) RootformatCint.o
	@echo "Building Library $(LIB) ... "
	@ar -r $(LIB) *.o

RootformatCint.cc: $(HEADERS) 
	@echo 
	@echo "Generating dictionary RootformatCint.cc ..."

	@$(ROOTSYS)/bin/rootcint -f RootformatCint.cc \
	-c $(INCLUDES) $(HEADERS) BaseLinkDef.h

.cxx.o:	
	@echo "Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.cc.o:	
	@echo "Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:	
	@echo "Compiling " $<
	$(CC) $(CFLAGS) -c $< -o $@

#
# The cleaning facility
#

rmlib:	
	@echo "Removing libraries..."
	@rm -f lib*.a

rmcint:	
	@echo "Removing cint-stuff..."
	@rm -f RootformatCint.*

rmobjs:	
	@echo "Removing object files..."
	@rm -f *.o

rmbin:	
	@echo "Removing binary files..."
	@rm -f core


clean:	rmlib rmcint rmobjs rmbin

mrproper:	clean
	@echo "Removing *~ kk.kk html/..."
	@rm -f *~ kk.kk

cflags: 
	@echo $(INCLUDES) $(CXXFLAGS)

# @endcode

